Subject: Should DLSw MIB assume Some Form of SDLC and LLC2 MIBs E

From: "David D. Chen ((919)-254-6182 8-444)" <[email-masked]>
Date: Wed, 15 Jun 94 10:28:56 EDT

Ref:  Your append to AIWDMIB DIGEST (IBMSNA) at 13:34:53 on 94/06/15

Thank you, Shannon.

Good, LLC2 MIB is what I am waiting for.
I belive in a DLSw, two pairs of MAC/SAP of a LLC link station are
the two end stations'.  That is, none of them are the MAC of the DLSw.
Also, "virtual MAC/SAP" is specified for SDLC station want to use DLSw.
Don't know how LLC2 MIB specifically makes these work, how stack
linkages in ifTable and ifStack is related to this.  Hopefully, it is
LLC2 MIB objective to support DLSw-like requirements.  I will defer
this discussion after reviewing LLC2 MIB internet draft if you think
that is better.

BTW, I am aware of SDLC and LLC2 MIBs IETF WG.  The reason that I
said "some forms of SDLC and LLC2 MIBs" is because there were some
concerns about the huge amount of objects (e.g., counters) that
those MIBs have on session basis.  (Note that the number of LLC2
link stations maybe extremely large in a DLSw.)
But, sound like, even though, we should make SDLC and LLC2 MIBs
as mandatory for DLSw MIB.  Right?

Dave Chen
IBM Corporation

---------------------------- Append follows -----------------------------
----- AIWDMIB DIGEST appended at 13:34:53 on 94/06/15 GMT (by NSAECHO at RALVM6)
Subject: Re: Should DLSw MIB assume Some Form of SDLC and LLC2 MIBs E
From: "Shannon Nix" <[email-masked]>
Date: Wed, 15 Jun 94 09:25:09
Encoding: 1302 Text
Message-Id: <[email-masked]>
Cc: [email-masked]

  Hi Dave,

>In the current 6611 DLSw MIB, there are a number of objects which
>are related to LLC2 and SDLC objects, in ibmdlsCirTable and
>ibmlsStattionTable, respectively.  If we want to develop a new
>DLSw MIB based on the activities in DLSw RIG, should we assume
>that some forms of SDLC and LLC2 MIBs exist in DLSw, so don't
>need to repeat similar objects in DLSw MIB?

Both MIB modules are currently being worked on within IETF:

The mail exploder is [email-masked]

SDLC I-D "draft-ietf-snamib-sdlc-mib-04.txt   @ cnri.reston.va.us
LLC2 I-D "draft-ietf-snamib-llc2-mib-01.txt   @ cnri.reston.va.us (coming soon)

>Don't know what LLC2 link station table(s) will be, but it seems
>it needs to have MAC/SAP for both end stations.  (Without this
>requirement, local MAC maybe derivable from ifPhysicalAddress
>if ifTable.  Right?)

  The LLC2 link stations will be decoupled from the physical (MAC) layer but the
  information should be available via stack linkages in ifTable and ifStack

>So, is this a reasonable assumption?  If that is the case, we need
>to be sure that SDLC and LLC MIBs meet DLSw needs.

Please review and comment on the work do date and contribute to the future work
(LLC2).

Regards, Shannon

>Dave Chen
>IBM Corporation